The current purpose

- « Gmagick::cropthumbnailimage

- Gmagick::cyclecolormapimage »

- PHP Manual
- Gmagick
- The current purpose

# Gmagick::current

(PECL gmagick >= Unknown)

Gmagick::current — The current purpose

### Description

public Gmagick::current(): Gmagick

Returns reference to the current gmagick object with image pointer at the correct sequence.

### Parameters

This function has no parameters.

### Return Values

Returns self on success.

### Errors/Exceptions

Throws an GmagickException on error.